org.apache.commons.collections4.functors

## Class NullIsExceptionPredicate<T>

- java.lang.Object
- - org.apache.commons.collections4.functors.NullIsExceptionPredicate<T>

- All Implemented Interfaces:
    Serializable, PredicateDecorator<T>, Predicate<T>

      public final class NullIsExceptionPredicate<T>
      extends Object
      implements PredicateDecorator<T>, Serializable

  Predicate implementation that throws an exception if the input is null.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullIsExceptionPredicate(Predicate<? super T> predicate)` Constructor that performs no validation.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(T object)` Evaluates the predicate returning the result of the decorated predicate once a null check is performed.
    `Predicate<? super T>[]` | `getPredicates()` Gets the predicate being decorated.
    `static <T> Predicate<T>` | `nullIsExceptionPredicate(Predicate<? super T> predicate)` Factory to create the null exception predicate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullIsExceptionPredicate

          public NullIsExceptionPredicate(Predicate<? super T> predicate)

      Constructor that performs no validation. Use `nullIsExceptionPredicate` if you want that.
      Parameters:
        `predicate` - the predicate to call after the null check

  - ### Method Detail

    - #### nullIsExceptionPredicate

          public static <T> Predicate<T> nullIsExceptionPredicate(Predicate<? super T> predicate)

      Factory to create the null exception predicate.
      Type Parameters:
        `T` - the type that the predicate queries
      Parameters:
        `predicate` - the predicate to decorate, not null
      Returns:
        the predicate
      Throws:
        `NullPointerException` - if the predicate is null

    - #### evaluate

          public boolean evaluate(T object)

      Evaluates the predicate returning the result of the decorated predicate once a null check is performed.
      Specified by:
        `evaluate` in interface `Predicate<T>`
      Parameters:
        `object` - the input object
      Returns:
        true if decorated predicate returns true
      Throws:
        `FunctorException` - if input is null

    - #### getPredicates

          public Predicate<? super T>[] getPredicates()

      Gets the predicate being decorated.
      Specified by:
        `getPredicates` in interface `PredicateDecorator<T>`
      Returns:
        the predicate as the only element in an array
      Since:
        3.1

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.